[arch-commits] Commit in epdfview/repos (3 files)

Eric Belanger eric at archlinux.org
Wed Oct 15 15:43:59 EDT 2008


    Date: Wednesday, October 15, 2008 @ 15:43:59
  Author: eric
Revision: 15577

Merged revisions 15576 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/epdfview/trunk

........
  r15576 | eric | 2008-10-15 15:43:28 -0400 (Wed, 15 Oct 2008) | 2 lines
  
  upgpkg: epdfview 0.1.6-9
      fixed icons location and desktop file (close FS#11733)
........

Added:
  epdfview/repos/extra-i686/epdfview.install
    (from rev 15576, epdfview/trunk/epdfview.install)
Modified:
  epdfview/repos/extra-i686/	(properties)
  epdfview/repos/extra-i686/PKGBUILD

------------------+
 PKGBUILD         |   26 ++++++++++++++++----------
 epdfview.install |   11 +++++++++++
 2 files changed, 27 insertions(+), 10 deletions(-)


Property changes on: epdfview/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /epdfview/trunk:1-8209
   + /epdfview/trunk:1-15576

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-15 19:43:28 UTC (rev 15576)
+++ extra-i686/PKGBUILD	2008-10-15 19:43:59 UTC (rev 15577)
@@ -3,25 +3,31 @@
 
 pkgname=epdfview
 pkgver=0.1.6
-pkgrel=8
+pkgrel=9
 pkgdesc="A free lightweight PDF document viewer."
-license=(GPL)
-arch=(i686 x86_64)
-depends=('poppler-glib>=0.8.3' 'heimdal>=1.2-1' 'libcups>=1.3.7-2' 'gnutls>=2.4.1')
+arch=('i686' 'x86_64')
+url="http://www.emma-soft.com/projects/epdfview/"
+license=('GPL')
+depends=('poppler-glib>=0.8.3' 'heimdal>=1.2-1' 'libcups>=1.3.7-2' 'gnutls>=2.4.1' 'desktop-file-utils')
 makedepends=('pkgconfig')
+install=epdfview.install
 source=(http://www.emma-soft.com/projects/epdfview/chrome/site/releases/epdfview-${pkgver}.tar.bz2
 	epdfview-0.1.6-print-segfault.patch
 	IDocumentLink.patch)
-url="http://www.emma-soft.com/projects/epdfview/"
-md5sums=('cce9edb41b4a8308e0ef0eea24b5a1ab'
-         'c083ee8e0e226b308e1c38cb94ee42e7'
+md5sums=('cce9edb41b4a8308e0ef0eea24b5a1ab' 'c083ee8e0e226b308e1c38cb94ee42e7'\
          '65444f1e85b635c37a28e070fe43eeaf')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   patch -Np0 -i ../epdfview-0.1.6-print-segfault.patch || return 1
-  patch -Np0 -i ${startdir}/src/IDocumentLink.patch || return 1
+  patch -Np0 -i ../IDocumentLink.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+# fixing icons location
+  sed -i 's/postscript-viewer.png/icon_epdfview-48.png/' ${pkgdir}/usr/share/applications/epdfview.desktop || return 1
+  install -d ${pkgdir}/usr/share/icons/hicolor/{24x24,32x32,48x48}/apps || return 1
+  install -m644 data/icon_epdfview-24.png ${pkgdir}/usr/share/icons/hicolor/24x24/apps || return 1
+  install -m644 data/icon_epdfview-32.png ${pkgdir}/usr/share/icons/hicolor/32x32/apps || return 1
+  install -m644 data/icon_epdfview-48.png ${pkgdir}/usr/share/icons/hicolor/48x48/apps || return 1
 }

Copied: epdfview/repos/extra-i686/epdfview.install (from rev 15576, epdfview/trunk/epdfview.install)
===================================================================
--- extra-i686/epdfview.install	                        (rev 0)
+++ extra-i686/epdfview.install	2008-10-15 19:43:59 UTC (rev 15577)
@@ -0,0 +1,11 @@
+post_install() {
+  update-desktop-database -q
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}




More information about the arch-commits mailing list